Subject: RE: Problems using bash or tcsh under NT emacs
From: [email-masked] (Craig Vosburgh)

15 Dec 1998 22:54:38 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: "'Daniel Karipides'" <[email-masked]>,
        "[email-masked]'" <[email-masked]>

Dan,

I am running 20.1 bash in NT emacs 20.2.1 without problem after I added
the following to my
..emacs file and the to start the shell you do 'M-x bash' rather than
'M-x shell'

;;
;; Set up the shell handling for Cygnus build 19
;;
(defun bash ()
  (interactive)
  (let ((binary-process-input t)
        (binary-process-ouput nil))
    (shell)))

Hope that helps.
-Vos

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Daniel Karipides
> Sent: Monday, December 14, 1998 12:55 PM
> To: [email-masked]
> Subject: Problems using bash or tcsh under NT emacs
> 
> 
> 
> I'm have some questions about using either cygwin B20.1 bash or the
> cygwin port of tcsh under the new NT emacs (20.3.3.1).
> 
> My problems:
> 
> If I follow the instructions on the NT emacs FAQ for tcsh, the shell
> actually runs except there are two major problems.
> 
> (1) The shell complains that there is no tty and thus, job 
> control will
> be disabled.  This had been mentioned before on the cygwin 
> mailing list
> but I'd just like to let other know that I'm having the same problem.
> 
> (2) ^M's are not stripped from the shell window.  I added the
> suggested line to the .emacs file, but still no success.
> 
> So, is anyone currently using the new NT emacs successfully with tcsh?
> 
> If I follow the instructions on the NT emacs FAQ for bash, the shell
> won't even run.  Rather, it starts and then dies with the error
> "Invalid shell arguments".  I have tried setting variable such as:
> 
> explicit-bash.exe-args
> explicit-BASH.EXE-args
> explicit-sh-args
> 
> to nil with no success.  I haven't tried:
> 
> explicit-f:/cygnus/cygwin-b20/H-i586-cygwin32/bin/bash.exe-args
> 
> but I hope you don't have to do that...
> 
> Any suggestion would be greatly appreciated.
> 
> If it helps, I am running:
> 
> NT4 SP4 on a Pentium Pro 200MHz
> Cygnus B20.1
> NT emacs 20.3.3.1
> 
> Thanks,
> 
> -Dan
> -----
> [email-masked]
> -
> For help on using this list (especially unsubscribing), send 
> a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".